Bug 713361 - Review Request: ghc-pcre-light - Haskell binding to pcre
Review Request: ghc-pcre-light - Haskell binding to pcre
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Narasimhan
Fedora Extras Quality Assurance
:
: 662258 (view as bug list)
Depends On:
Blocks: git-annex highlighting-kate
  Show dependency treegraph
 
Reported: 2011-06-15 01:59 EDT by Jens Petersen
Modified: 2016-08-14 12:26 EDT (History)
4 users (show)

See Also:
Fixed In Version: pandoc-1.8.1.1-3.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-22 22:09:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lakshminaras2002: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2011-06-15 01:59:56 EDT
Spec URL: http://petersen.fedorapeople.org/ghc-pcre-light/ghc-pcre-light.spec
SRPM URL: http://petersen.fedorapeople.org/ghc-pcre-light/ghc-pcre-light-0.4-3.fc15.src.rpm
Description: Perl5 compatible regular expressions library for Haskell
Comment 1 Jens Petersen 2011-06-15 02:01:42 EDT
*** Bug 662258 has been marked as a duplicate of this bug. ***
Comment 2 Narasimhan 2011-07-08 07:00:57 EDT
[+]MUST: rpmlint must be run on every package. The output should be posted in the review.

rpmlint  -i built/ghc-pcre-light-*.rpm ghc-pcre-light.spec 
ghc-pcre-light.src: W: spelling-error %description -l en_US regex -> regexp, reg ex, reg-ex
The value of this tag appears to be misspelled. Please double-check.

ghc-pcre-light.x86_64: W: spelling-error %description -l en_US regex -> regexp, reg ex, reg-ex
The value of this tag appears to be misspelled. Please double-check.

ghc-pcre-light-devel.x86_64: W: spelling-error %description -l en_US regex -> regexp, reg ex, reg-ex
The value of this tag appears to be misspelled. Please double-check.

3 packages and 1 specfiles checked; 0 errors, 3 warnings.

[+]MUST: The package must be named according to the Package Naming Guidelines.
[+]MUST: The spec file name must match the base package %{name}, in the format %{name}.spec
[+]MUST: The package must meet the Packaging Guidelines.
        Naming-Yes
        Version-release - Matches
        License - OK, BSD 3 clause license
        No prebuilt external bits - OK
        Spec legibity - OK
        Package template - OK
        Arch support - OK
        Libexecdir - OK
        rpmlint - yes
        changelogs - OK
        Source url tag  - OK, validated.
        Build Requires list - OK
        Summary and description - OK
        API documentation - OK in devel package

[+]MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
Yes, license is BSD 3 clause variant.
[+]MUST: The License field in the package spec file must match the actual license.
[+]MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
LICENSE file is included.
[+]MUST: The spec file must be written in American English.
[+]MUST: The spec file for the package MUST be legible.
[+]MUST: The sources used to build the package must match the upstream source,as provided in the spec URL. Reviewers should use md5sum for this task.

md5sum pcre-light-0.4.tar.gz 
4907d8d239d3c41f06855faee340d052  pcre-light-0.4.tar.gz

md5sum ghc-pcre-light-0.4-3.fc15.src/pcre-light-0.4.tar.gz 
4907d8d239d3c41f06855faee340d052  ghc-pcre-light-0.4-3.fc15.src/pcre-light-0.4.tar.gz

[+]MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
Built on x86_64.
[+]MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in
ExcludeArch.
[+]MUST: All build dependencies must be listed in BuildRequires.
[NA]MUST: The spec file MUST handle locales properly using the %find_lang macro
[NA]MUST: Packages stores shared library files must call ldconfig in %post and %postun.
[+]MUST: Packages must NOT bundle copies of system libraries.
Checked with rpmquery --list
[NA]MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review.
[+]MUST: A package must own all directories that it creates.
Checked with rpmquery --whatprovides
[+]MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
[+]MUST: Permissions on files must be set properly.
Checked with ls -lR
[+]MUST: Each package must consistently use macros.
[+]MUST: The package must contain code, or permissable content.
[+]MUST: Large documentation files must go in a -doc subpackage.
[+]MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[+]MUST: Header files must be in a -devel package.
[NA]MUST: Static libraries must be in a -static package.
[NA]MUST: If a package contains library files with a suffix (e.g.libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
[+]MUST: devel packages must require the base package using a fully versioned dependency: Requires: {name} = %{version}-%{release}
rpm -e ghc-pcre-light
error: Failed dependencies:
        ghc-pcre-light = 0.4-3.fc15 is needed by (installed) ghc-pcre-light-devel-0.4-3.fc15.x86_64
[NA]MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[NA]MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section
[+]MUST: Packages must not own files or directories already owned by other packages.
[+]MUST: All filenames in rpm packages must be valid UTF-8.

Should items
[+]SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[+]SHOULD: The reviewer should test that the package functions as described.
Installation of packages went fine. Loaded Text.Regex.PCRE.Light.Base into ghci. Loads fine.
[+]SHOULD: If scriptlets are used, those scriptlets must be sane.

cabal2spec-diff is OK. Please upgrade to the latest cabal2spec.

APPROVED.
Comment 3 Jens Petersen 2011-07-11 20:42:23 EDT
Thank you for the review.  I'll refresh to the latest cabal2spec
template after importing the srpm.



New Package SCM Request
=======================
Package Name: ghc-pcre-light
Short Description: Haskell binding to pcre
Owners: petersen
Branches: f15 f14
InitialCC: haskell-sig
Comment 4 Gwyn Ciesla 2011-07-11 21:05:21 EDT
Git done (by process-git-requests).
Comment 5 Jens Petersen 2011-07-12 05:57:41 EDT
Built for f16 rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=3193222
Comment 6 Fedora Update System 2011-07-12 06:23:32 EDT
ghc-pcre-light-0.4-4.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/ghc-pcre-light-0.4-4.fc14
Comment 7 Fedora Update System 2011-07-12 06:23:42 EDT
ghc-pcre-light-0.4-4.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/ghc-pcre-light-0.4-4.fc15
Comment 8 Fedora Update System 2011-07-12 17:57:08 EDT
ghc-pcre-light-0.4-4.fc14, highlighting-kate-0.2.9-2.fc14 has been pushed to the Fedora 14 testing repository.
Comment 9 Fedora Update System 2011-07-22 22:09:06 EDT
pandoc-1.8.1.1-3.fc15, ghc-pcre-light-0.4-4.fc15, highlighting-kate-0.2.9-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2011-07-30 23:35:36 EDT
pandoc-1.8.1.1-3.fc14, ghc-pcre-light-0.4-4.fc14, highlighting-kate-0.2.9-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Jens Petersen 2012-06-21 02:20:24 EDT
Package Change Request
======================
Package Name: ghc-pcre-light
New Branches: el6
Owners: petersen
InitialCC: haskell-sig
Comment 12 Gwyn Ciesla 2012-06-21 08:42:40 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.